/**
 * Created by albert on 03/04/2016.
 */
bellboyApp.controller('FeedbackController', function($scope, $state, $rootScope, foodInfo, food) {
  var vm = this;

  vm.food = foodInfo;

  vm.getValue = function(item){
    return item.total || 0;
  };

  initReviews();

  function initReviews(){

    vm.food.feedback.totalRating = food.getTotalRating(vm.food.feedback);

    vm.reviews = {
      5: [],
      4: [],
      3: [],
      2: [],
      1: []
    };

    if(vm.food.feedback){
      for(var i = 0;i < vm.food.feedback.length;i++){
        var feedback = vm.food.feedback[i];
        vm.reviews[feedback.score].push(feedback);
        vm.reviews[feedback.score].total = Math.round(((vm.reviews[feedback.score].total || 0)   + feedback.score) / vm.reviews[feedback.score].length);
      }

    }
  }

});
