/**
 * Created by albert on 14/04/2016.
 */
angular.module('api.user', ['ngResource'])
.service('userService', function($resource, context) {
  'use strict';
  var getUsers = $resource(context.constants.API_BASE + '/api/users', {}, context.httpMethods(['QUERY']));

  var getUser = $resource(context.constants.API_BASE + '/api/user/:username', {
    'username': '@username'
  }, context.httpMethods(['GET']));

  var getUserInfo = $resource(context.constants.API_BASE + '/api/user', {
  }, context.httpMethods(['GET']));

  return {
    getUsers: getUsers.query,
    getUser: getUser.get,
    getUserInfo: getUserInfo.get
  };

});
