/**
 * Created by albert on 15/04/2016.
 */
angular.module('food', [])
  .factory('food', function() {
    'use strict';

    function getTotalRating(feedbackList){
      var totalRating = 0;
      for(var i = 0;i<feedbackList.length;i++){
        var feedback = feedbackList[i];
        totalRating = totalRating + parseInt(feedback.score);
      }
      if(totalRating > 0){
        totalRating = Math.round(totalRating / feedbackList.length);
      }

      return totalRating;
    }

    return {
      getTotalRating: getTotalRating
    };

  });

