/**
 * Created by albert on 14/04/2016.
 */
bellboyApp.config(function($stateProvider) {


  $stateProvider

  // setup an abstract state for the tabs directive
    .state('foodCanRate', {
      url: '/foodCanRate',
      templateUrl: 'app/foodCanRate/foodCanRate.html',
      controller: 'FoodCanRateController as foodCanRateCtrl',
      resolve: {
        userInfo: function($q, $state, $stateParams, $rootScope, userService, views){
          var deferred = $q.defer();
          userService.getUserInfo({}, function(data){
            $rootScope.$emit('rateFood', data.foodCanRate);
            if(!data.foodCanRate.length){
              $state.go(views.CATALOG);
            }
            deferred.resolve(data);
          });

          return deferred.promise;
        }
      }

  });

});
