/**
 * Created by albert on 03/04/2016.
 */
bellboyApp.controller('LoginController', function($scope, $state, $rootScope, views, authService, user, userService) {
  var vm = this;

  /**
   *
   */
  vm.login = function(){
    var passwordEncoded = window.btoa(vm.password);
    authService.login({username: vm.username, password: passwordEncoded},
      function(data){
        if(data.code !== '300'){
          $rootScope.isAuth = true;
          vm.errorMessage = null;
          localStorage.setItem('bellboyApp_token', data.token);
          localStorage.setItem('bellboyApp_username', JSON.stringify(data));
          user.setUserInfo(data);

          userService.getUserInfo({}, function(data){
            $rootScope.foodToRate = user.getUserFoodToRate(data.foodCanRate);
            goTo();
          });

        }else{
          vm.errorMessage = data.message;
          $scope.form.$invalid = true;
        }
    },
      function(error){
        console.log(error);
    });
  };

  /**
   *
   */
  function goTo(){
    $state.go(views.CATALOG);
  }

});
