/**
 * Created by albert on 03/04/2016.
 */
bellboyApp.controller('RateController', function($state, $stateParams, $ionicHistory, $rootScope, foodService, client, views) {
  var vm = this;

  vm.total = [
    {
      id:1,
      isFilled: false
    },
    {
      id:2,
      isFilled: false
    },
    {
      id:3,
      isFilled: false
    },
    {
      id:4,
      isFilled: false
    },
    {
      id:5,
      isFilled: false
    }
  ];

  vm.rate = function(index){
    for(var i=0;i<=index;i++){
      vm.total[i].isFilled = true;
    }

    vm.score = index + 1;

    resetFilledStar(index);
  };

  vm.submitRate = function(){
    foodService.ratingFood({
      id: $stateParams.id,
      score: vm.score,
      short: vm.short,
      comment: vm.comment,
      name: client.name + ' ' + client.surname
    }).$promise.then(function(){
      $rootScope.$emit('reloadFoodToRate', $stateParams.id);
      $ionicHistory.goBack();
    });
  };

  function resetFilledStar(index){
    for(var i=vm.total.length - 1;i>index;i--){
      vm.total[i].isFilled = false;
    }
  }

});
