/**
 * Created by albert on 10/04/2016.
 */

var mongoose = require('mongoose'),
    User = mongoose.model('User'),
    Session = mongoose.model('Session');


/**
 * login
 * @param req
 * @param res
 */
exports.login = function(req, res) {
    var username = req.body.username,
        password = new Buffer(req.body.password, 'base64').toString('ascii');
    User.findOne({'username': username},function(err, results) {

        if (err) return handleError(err);
        if (results) {
            var userPassword = new Buffer(results._doc.password, 'base64').toString('ascii');
            if(userPassword === password){
                Session.findOne({username: username}, function(err, results){
                    var data = {
                        token: generateToken(),
                        username: username,
                        timestamp: new Date()
                    };

                    if (err) return handleError(err);

                    if(results){
                        var token = results._doc.token;
                        Session.findOneAndRemove({token: token}, function(){
                            Session.create(data, function(err, results){
                                if (err) return handleError(err);

                                return res.send(results);
                            });
                        });
                    }else{
                        Session.create(data, function(err, results){
                            if (err) return handleError(err);

                            return res.send(results);
                        });
                    }
                });
            }else{
                return res.send({code: '300', message: 'Usuari o Password incorrecte.'});
            }
        }else{
            return res.send({code: '300', message: 'Usuari o Password incorrecte.'});
        }
    });
};

/**
 * logout
 * @param req
 * @param res
 */
exports.logout = function(req, res) {
    var token = req.body.token;

    Session.findOneAndRemove({token: token}, function(err, results){
        if (err) return handleError(err);

        return res.send(results);
    });
};

/**
 * generateToken
 * @returns {string}
 */
function generateToken() {
    var text = "";
    var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";

    for( var i=0; i < 20; i++ )
        text += possible.charAt(Math.floor(Math.random() * possible.length));

    return text;
}
