/**
 * Created by albert on 10/04/2016.
 */

var mongoose = require('mongoose'),
    Client = mongoose.model('Client'),
    Session = mongoose.model('Session'),
    User = mongoose.model('User');

/**
 * It retrieves all Bill
 * @param req
 * @param res
 */
exports.findAll = function(req, res){
    Client.find({},function(err, results) {
        return res.send(results);
    });
};
exports.findById = function(req, re) {
    var id = req.params.id;
    Client.findOne({'_id': id},function(err, results) {
        return res.send(results);
    });
};
exports.findByToken = function(req, res) {
    var token = req.headers['x-session-token'];
    Session.findOne({token: token}, function(errSession, resultsSession){

        if (errSession) return handleError(errSession);

        if(resultsSession){
            var time = resultsSession._doc.timestamp,
                username = resultsSession._doc.username;
            var timeMax = time.setMinutes(time.getMinutes() + 20);
            if(timeMax > new Date()){
                User.findOne({'username': username},function(err, results) {
                    if (err) return handleError(err);

                    if(results){
                        var dni = results._doc.idClient;
                        Client.findOne({'dni': dni},function(errClient, resultsClient) {
                            if (errClient) return handleError(errClient);

                            if(resultsClient){
                                return res.send(resultsClient);
                            }
                        });
                    }
                });
            }else{
                return res.send({code: '301', message: 'Sessió caducada'});
            }
        }
    });
};
exports.add = function() {};
exports.update = function() {};
exports.delete = function() {};
