/**
 * Created by albert on 14/04/2016.
 */
angular.module('api.food', ['ngResource'])
.service('foodService', function($resource, context) {
  'use strict';
  var getCatalog = $resource(context.constants.API_BASE + '/api/food', {}, context.httpMethods(['QUERY']));

  var getFood = $resource(context.constants.API_BASE + '/api/food/:id', {
    'id': '@id'
  }, context.httpMethods(['GET']));

  var ratingFood = $resource(context.constants.API_BASE + '/api/food/:id/rate', {
    'id': '@id'
  }, context.httpMethods(['PUT']));

  /*var createUser = $resource(context.constants.URL_BASE + '/api/admin/users', {}, context.httpMethods(['POST']));

   var getGroupPermissions = $resource(context.constants.URL_BASE + '/api/admin/users/permissions', {}, context.httpMethods(['GET']));

   var getUserExtended = $resource(context.constants.URL_BASE + '/api/admin/users/:userUrn', {
   'userUrn': '@userUrn'
   }, context.httpMethods(['GET']));

   var updateUser = $resource(context.constants.URL_BASE + '/api/admin/users/:userUrn', {
   'userUrn': '@userUrn'
   }, context.httpMethods(['PUT']));

   var deleteUser = $resource(context.constants.URL_BASE + '/api/admin/users/:userUrn', {
   'userUrn': '@userUrn'
   }, context.httpMethods(['DELETE']));

   var deleteUserWithDelegate = $resource(context.constants.URL_BASE + '/api/admin/users/:userUrn/delegate/:delegateUrn', {
   'userUrn': '@userUrn',
   'delegateUrn': '@delegateUrn'
   }, context.httpMethods(['DELETE']));*/

  return {
    getCatalog: getCatalog.query,
    getFood: getFood.get,
    ratingFood: ratingFood.update
    /*createUser: createUser.create,
     getGroupPermissions: getGroupPermissions.get,
     getUserExtended: getUserExtended.get,
     updateUser: updateUser.update,
     deleteUser: deleteUser.delete,
     deleteUserWithDelegate: deleteUserWithDelegate.delete*/
  };

});
