/**
 * Created by albert on 14/04/2016.
 */
bellboyApp.config(function($stateProvider) {


  $stateProvider

  // setup an abstract state for the tabs directive
    .state('catalog', {
      url: '/catalog',
      templateUrl: 'app/catalog/catalog.html',
      controller: 'CatalogController as catalogCtrl',
      resolve: {
        catalog: function($q, foodService){
          var deferred = $q.defer();
          foodService.getCatalog({}, function(data){
            deferred.resolve(data);
          });

          return deferred.promise;
        },
        order: function($q, $rootScope, orderService, user, order){
          var deferred = $q.defer();
          orderService.getOrderByStatus({status: order.OPEN, username: user.getUserInfo().username}, function(data){
            $rootScope.$emit('shoppingCart', data);
            deferred.resolve(data);
          });

          return deferred.promise;
        }
      }

  });

});
