/**
 * Created by albert on 14/04/2016.
 */
bellboyApp.config(function($stateProvider) {


  $stateProvider

  // setup an abstract state for the tabs directive
    .state('detail', {
      url: '/catalog/:id/detail',
      templateUrl: 'app/detail/detail.html',
      controller: 'DetailController as detailCtrl',
      resolve: {
        foodInfo: function($stateParams, $q, foodService){
          var deferred = $q.defer();
          foodService.getFood({id: $stateParams.id}, function(data){
            deferred.resolve(data);
          });

          return deferred.promise;
        },
        order: function($q, $rootScope, orderService, user, order){
          var deferred = $q.defer();
          orderService.getOrderByStatus({status: order.OPEN, username: user.getUserInfo().username}, function(data){
            $rootScope.$emit('shoppingCart', data);
            deferred.resolve(data);
          });

          return deferred.promise;
        }
      }

  });

});
