/**
 * Created by albert on 15/04/2016.
 */
angular.module('user', [])
  .factory('user', function() {
    'use strict';

    var _userInfo = null;

    function getUserInfo(){
      var userInfo = JSON.parse(localStorage.getItem('bellboyApp_username'));
      return _userInfo || userInfo;
    }

    function setUserInfo(userInfo){
      _userInfo = userInfo;
    }

    function getUserFoodToRate(foodCanRate){
      var foodList = [];

      if(foodCanRate){
        for(var i=0;i<foodCanRate.length;i++){
          var food = foodCanRate[i];

          foodList = foodList.filter(function(item){
            return food._id !== item._id;
          });

          foodList.push(food);
        }
      }

      return foodList;
    }

    return {
      setUserInfo: setUserInfo,
      getUserInfo: getUserInfo,
      getUserFoodToRate: getUserFoodToRate
    };

  });

