/**
 * Created by albert on 17/04/2016.
 */

angular.module('app.menu', [])
  .directive('menu', function() {
    'use strict';
    return{
      replace: true,
      scope: false,
      templateUrl: 'app/common/menu/menu.html',
      controller: 'MenuController',
      controllerAs: 'menuCtrl'
    };
  })
  .controller('MenuController', function($rootScope, $q, userService, user){
    var vm = this;

    if($rootScope.isAuth){
      getUserInfo();
    }

    function getUserInfo(){
      return userService.getUserInfo({}, function(data){
        $rootScope.foodToRate = user.getUserFoodToRate(data.foodCanRate);
      });
    }



  });


