/**
 * Created by albert on 14/04/2016.
 */
bellboyApp.config(function($stateProvider) {


  $stateProvider

  // setup an abstract state for the tabs directive
    .state('rate', {
      url: '/rate/:id',
      templateUrl: 'app/rate/rate.html',
      controller: 'RateController as rateCtrl',
      resolve: {
        userInfo: function($stateParams, $q, userService){
          var deferred = $q.defer();
          userService.getUserInfo({}, function(data){

            var foodList = data.foodCanRate.filter(function(item){
              return item._id === $stateParams.id;
            });

            if(foodList.length){
              deferred.resolve(data);
            }else{
              deferred.reject();
            }

          });

          return deferred.promise;
        },
        client: function($q, clientService){
          var deferred = $q.defer();
          clientService.getClientInfo({}, function(data){
            deferred.resolve(data);
          });

          return deferred.promise;
        }
      }

  });

});
