/**
 * Created by albert on 14/04/2016.
 */
angular.module('api.client', ['ngResource'])
.service('clientService', function($resource, context) {
  'use strict';
  var getClients = $resource(context.constants.API_BASE + '/api/clients', {}, context.httpMethods(['QUERY']));

  var getClient = $resource(context.constants.API_BASE + '/api/client/:id', {
    'id': '@id'
  }, context.httpMethods(['GET']));

  var getClientInfo = $resource(context.constants.API_BASE + '/api/client', {
  }, context.httpMethods(['GET']));

  return {
    getClients: getClients.query,
    getClient: getClient.get,
    getClientInfo: getClientInfo.get
  };

});
