/**
 * Created by albert on 03/04/2016.
 */
bellboyApp.controller('DetailController', function($scope, $state, $rootScope, $ionicModal, foodInfo, food, orderService, shoppingCart, order, views) {
  var vm = this;
  vm.foodInfo = foodInfo;

  vm.options = {
    loop: false,
    effect: 'fade',
    speed: 500
  };

  vm.quantityMax = [1,2,3,4,5,6,7,8,9,10];

  vm.foodInfo.feedback.totalRating = food.getTotalRating(vm.foodInfo.feedback);

  vm.addFoodToOrder = function(quantity){
    if(!order._id){
      order.price = vm.foodInfo.price * quantity;
      order.foodList = [];

      for(var i=0; i < quantity;i++){
        order.foodList.push(foodInfo);
      }
      orderService.createOrder({price: order.price, foodList: order.foodList})
        .$promise.then(function(response){
          $rootScope.$emit('shoppingCart', response);
        order = response;
      });
    }else{

      order.price = (order.price) + (foodInfo.price * quantity);

      for(var i=0; i < quantity;i++){
        order.foodList.push(foodInfo);
      }

      orderService.updateOrder({id: order._id, price: order.price, status: order.status, foodList: order.foodList})
        .$promise.then(function(){
          $rootScope.$emit('shoppingCart', order);
      });
    }
  };

  vm.goTo = function(){
    $state.go(views.FEEDBACK, {id: vm.foodInfo._id});
  };


  vm.data = {};
  $scope.$watch('data.slider', function(nv, ov) {
    vm.slider = vm.data.slider;
  });

  $ionicModal.fromTemplateUrl('quantity-food.html', {
    scope: $scope,
    animation: 'slide-in-up'
  }).then(function(modal) {
    $scope.modal = modal;
  });
  vm.openModal = function() {
    $scope.modal.show();
  };
  vm.closeModal = function(quantity) {
    $scope.modal.hide();
    vm.addFoodToOrder(quantity)
  };
  // Cleanup the modal when we're done with it!
  $scope.$on('$destroy', function() {
    $scope.modal.remove();
  });

});
