/**
 * Created by albert on 14/04/2016.
 */
bellboyApp.config(function($stateProvider) {


  $stateProvider

  // setup an abstract state for the tabs directive
    .state('order', {
      url: '/order/:id',
      templateUrl: 'app/order/order.html',
      controller: 'OrderController as orderCtrl',
      resolve: {
        orderDetail: function($q, $stateParams, orderService){
          var deferred = $q.defer();
          orderService.getOrder({id: $stateParams.id}, function(data){
            deferred.resolve(data);
          });

          return deferred.promise;
        },
        order: function($q, $rootScope, orderService, user, order){
          var deferred = $q.defer();
          orderService.getOrderByStatus({status: order.OPEN, username: user.getUserInfo().username}, function(data){
            $rootScope.$emit('shoppingCart', data);
            deferred.resolve(data);
          });

          return deferred.promise;
        }
      }

  });

});
